Index: TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/messages/messages_fr.properties
===================================================================
--- TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/messages/messages_fr.properties	(revision 3755)
+++ TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/messages/messages_fr.properties	(revision 3756)
@@ -740,7 +740,8 @@
 xmlTagNameThatEncodesWords=Nom de la balise XML qui encode les mots
 XMLTXMFilesExportedInP0=Fichiers XML-TXM exportés dans {0}
 youMustSelectAtLeast2Comparators=Il faut sélectionner au moins deux comparateurs
-YouNeedToSetAsManyPercentSPrintfMarksAsSelectedProperties=Vous avez besoin d'autant de spécificateurs de format %s que de propriétés sélectionnées.
+YouNeedToSetAsManyPercentSPrintfMarksAsSelectedProperties=Tapez votre pattern en insérant "%s" là où chaque propriété listée ci-dessous doit être affichée (autant de "%s" que de propriété à afficher).\nPar exemple, le pattern "%s, %s %s" associé à la liste de propriétés "text_id,div_type,div_n" affichera :\n- "Mon roman, chapitre 1"\n- "Mon roman, chapitre 2"\n- etc.  
+PropertiesOfTheCompoundFormForStructurePropertiesAndOfTheSimpleFormForWordProperties=Propriétés de la forme composée "text_id" pour les propriétés de structures, et de la forme simple "id" pour les propriétés de mots. 
 YouReGoingToLostThoseModificationsIfNotAlreadyExportedContinue=Vous allez perdre vos modifications manuelles du résultat. Continuer ?
 zoomInAmpoutColonMouseWheelORShiftPlusRightMousePlusDrag=\ Zoom +/- \: Roulette OU Maj + Clic Droit + Glisser 
 zoomToSelectionColonCtrlPlusLeftMousePlusdrag=\ Zoomer sur la sélection \: Ctrl + Clic Gauche + Glisser 
Index: TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/messages/TXMUIMessages.java
===================================================================
--- TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/messages/TXMUIMessages.java	(revision 3755)
+++ TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/messages/TXMUIMessages.java	(revision 3756)
@@ -1498,6 +1498,8 @@
 	public static String textLanguage;
 
 	public static String selectEngine;
+
+	public static String PropertiesOfTheCompoundFormForStructurePropertiesAndOfTheSimpleFormForWordProperties;
 	
 	static {
 		// initialize resource bundle
Index: TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/messages/messages.properties
===================================================================
--- TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/messages/messages.properties	(revision 3755)
+++ TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/messages/messages.properties	(revision 3756)
@@ -739,7 +739,8 @@
 xmlTagNameThatEncodesWords=XML tag name that encodes words
 XMLTXMFilesExportedInP0=XML-TXM files exported in {0}
 youMustSelectAtLeast2Comparators=You must select at least 2 comparators
-YouNeedToSetAsManyPercentSPrintfMarksAsSelectedProperties=You need as many %s format specifiers as properties selected.
+YouNeedToSetAsManyPercentSPrintfMarksAsSelectedProperties=Type your pattern by inserting "%s" where each property listed below should be displayed (as many "%s" as there are properties to display).\nFor example, the pattern "%s, %s %s" associated with the property list "text_id,div_type,div_n" will display :\n- "My novel, chapter 1"\n- "My novel, chapter 2"\n- etc.
+PropertiesOfTheCompoundFormForStructurePropertiesAndOfTheSimpleFormForWordProperties=Properties of the compound form "text_id" for structure properties, and of the simple form "id" for word properties.
 YouReGoingToLostThoseModificationsIfNotAlreadyExportedContinue=You're going to lose your manual modifications of the result. Continue?
 zoomInAmpoutColonMouseWheelORShiftPlusRightMousePlusDrag=\ Zoom +/-\: Mouse wheel OR Shift + Right Mouse + Drag 
 zoomToSelectionColonCtrlPlusLeftMousePlusdrag=\ Zoom to selection\: Ctrl + Left Mouse + Drag 
Index: TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/editors/imports/sections/CommandsSection.java
===================================================================
--- TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/editors/imports/sections/CommandsSection.java	(revision 3755)
+++ TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/editors/imports/sections/CommandsSection.java	(revision 3756)
@@ -39,7 +39,7 @@
 	
 	public CommandsSection(ImportFormEditor editor, FormToolkit toolkit2, ScrolledForm form2, Composite parent, int style) {
 		
-		super(editor, toolkit2, form2, parent, style, "commands");
+		super(editor, toolkit2, form2, parent, style, "commands"); //$NON-NLS-1$
 		
 		this.section.setText(TXMUIMessages.commands);
 		TableWrapLayout layout = new TableWrapLayout();
@@ -76,42 +76,42 @@
 		TableWrapData gdata = getTextGridData();
 		structLimitsText.setLayoutData(gdata);
 		
-		Label tmp2Label = toolkit.createLabel(sectionClient, "Default References");
+		Label tmp2Label = toolkit.createLabel(sectionClient, "Default References"); 
 		tmp2Label.setToolTipText("The default references displayed in the References column.");
 		tmp2Label.setLayoutData(getSectionGridData(2));
 		
-		Label tmp3Label = toolkit.createLabel(sectionClient, "	Pattern");
-		tmp3Label.setToolTipText("Reference pattern string in the printf format with '%s' markers.");
+		Label tmp3Label = toolkit.createLabel(sectionClient, "	Pattern"); 
+		tmp3Label.setToolTipText(TXMUIMessages.YouNeedToSetAsManyPercentSPrintfMarksAsSelectedProperties);
 		tmp3Label.setLayoutData(getLabelGridData());
 		
 		referencePatternText = toolkit.createText(sectionClient, "", SWT.BORDER); //$NON-NLS-1$
-		referencePatternText.setToolTipText("Reference pattern string in the printf format with '%s' markers.");
+		referencePatternText.setToolTipText(TXMUIMessages.YouNeedToSetAsManyPercentSPrintfMarksAsSelectedProperties);
 		TableWrapData gdata2 = getTextGridData();
 		referencePatternText.setLayoutData(gdata2);
 		
-		Label tmp4Label = toolkit.createLabel(sectionClient, "	Properties");
-		tmp4Label.setToolTipText("Comma separated list of CQP word properties or structures properties.");
+		Label tmp4Label = toolkit.createLabel(sectionClient, "	Properties"); //$NON-NLS-1$
+		tmp4Label.setToolTipText(TXMUIMessages.PropertiesOfTheCompoundFormForStructurePropertiesAndOfTheSimpleFormForWordProperties); 
 		tmp4Label.setLayoutData(getLabelGridData());
 		
 		referencePatternProperties = toolkit.createText(sectionClient, "", SWT.BORDER); //$NON-NLS-1$
-		referencePatternProperties.setToolTipText("Comma separated list of CQP word properties or structures properties.");
+		referencePatternProperties.setToolTipText(TXMUIMessages.PropertiesOfTheCompoundFormForStructurePropertiesAndOfTheSimpleFormForWordProperties);
 		TableWrapData gdata3 = getTextGridData();
 		referencePatternProperties.setLayoutData(gdata3);
 	}
 	
 	@Override
 	public void updateFields(Project project) {
-		CorpusCommandPreferences concPrefs = project.getCommandPreferences("concordance");
+		CorpusCommandPreferences concPrefs = project.getCommandPreferences("concordance"); //$NON-NLS-1$
 		
-		if (concPrefs.get("context_limits") != null) {
-			structLimitsText.setText(concPrefs.get("context_limits"));
+		if (concPrefs.get("context_limits") != null) { //$NON-NLS-1$
+			structLimitsText.setText(concPrefs.get("context_limits")); //$NON-NLS-1$
 		}
 		else {
 			structLimitsText.setText("text"); // TODO use the concordance preferences instead of hardcoding 'text'
 		}
 		
-		if (concPrefs.get("view_reference_pattern") != null) {
-			String gsonString = concPrefs.get("view_reference_pattern");
+		if (concPrefs.get("view_reference_pattern") != null) { //$NON-NLS-1$
+			String gsonString = concPrefs.get("view_reference_pattern"); //$NON-NLS-1$
 			if (ReferencePattern.isGsonString(gsonString)) {
 				referencePatternText.setText(ReferencePattern.fromGSonToPattern(gsonString));
 				referencePatternProperties.setText(StringUtils.join(ReferencePattern.fromGSonToPropertyNames(gsonString), ","));
@@ -123,12 +123,12 @@
 			}
 		}
 		else {
-			if ("txt".equals(editor.getImportName())) {
-				referencePatternText.setText("text_id,l_n");
-				referencePatternProperties.setText("%s, %s");
+			if ("txt".equals(editor.getImportName())) { //$NON-NLS-1$
+				referencePatternText.setText("text_id,l_n"); //$NON-NLS-1$
+				referencePatternProperties.setText("%s, %s"); //$NON-NLS-1$
 			} else {
-				referencePatternText.setText("");
-				referencePatternProperties.setText("");
+				referencePatternText.setText(""); //$NON-NLS-1$
+				referencePatternProperties.setText(""); //$NON-NLS-1$
 			}
 		}
 	}
@@ -136,13 +136,13 @@
 	@Override
 	public boolean saveFields(Project project) {
 		if (this.section != null && !section.isDisposed()) {
-			CorpusCommandPreferences concPrefs = project.getCommandPreferences("concordance");
-			concPrefs.set("context_limits_type", "list");
+			CorpusCommandPreferences concPrefs = project.getCommandPreferences("concordance"); //$NON-NLS-1$
+			concPrefs.set("context_limits_type", "list"); //$NON-NLS-1$ $NON-NLS-2$
 			concPrefs.set("context_limits", structLimitsText.getText());
 			
-			concPrefs.set("view_reference_pattern", 
+			concPrefs.set("view_reference_pattern", //$NON-NLS-1$
 					ReferencePattern.referenceToString(
-							Arrays.asList(referencePatternProperties.getText().trim().split(",")), 
+							Arrays.asList(referencePatternProperties.getText().trim().split(",")), //$NON-NLS-1$
 							referencePatternText.getText())
 					);
 		}
Index: TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/swt/dialog/ReferencePatternSelectionDialog.java
===================================================================
--- TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/swt/dialog/ReferencePatternSelectionDialog.java	(revision 3755)
+++ TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/swt/dialog/ReferencePatternSelectionDialog.java	(revision 3756)
@@ -87,7 +87,7 @@
 		if (pattern != null) {
 			patternText.setText(pattern);
 		}
-		patternText.setToolTipText(TXMUIMessages.sprintf_pattern_tooltip);
+		patternText.setToolTipText(TXMUIMessages.YouNeedToSetAsManyPercentSPrintfMarksAsSelectedProperties);
 		GridData gdata = new GridData(SWT.WRAP, SWT.WRAP, true, true);
 		gdata.widthHint = 200;
 		gdata.minimumWidth = 50;
